@echo off
rem CFSTART - To be copied by CFSETUP to the Windows or DOS directory
rem           as "CRYSFIRE.BAT", for launching Crysfire 2002, etc
rem
rem R.Shirley, 12Jun02

rem Establish _CFhome directory (hoping that it's on the PATH)
call CF_home >nul
if (%_CFhome%) == () goto homeless

rem Launch Crysfire (passing on any /? or /h parameter)
rem (Don't CALL it, as we won't be coming back, despite the following GOTO!)

%_CFhome%\CRYSFIRE %1 %2 %3
goto endbat

:homeless
echo.
echo ** Failed to establish the path to Crysfire's home directory,
echo    so can't continue launching this Crysfire run
echo.
echo 1) Please ensure that your Crysfire home directory is undamaged
echo.
echo 2) If you have any doubts about the integrity of the files there,
echo    copy the current Crysfire distribution zipfile into that directory
echo    and expand it, to restore all the files to their correct states
echo.
echo 3) If you are happy with (1) and (2):  From that Crysfire home directory,
echo    run CFsetup in order to re-configure Crysfire for your system.  Check
echo    particularly that the correct path to your Crysfire directory has been
echo    specified.  This should be whatever is the correct pathname for the
echo    Crysfire directory on your system (usually C:\CRYSFIRE)
echo.
echo  Note that the Crysfire home directory does *not* now need to be on
echo  your execution PATH.  In fact it's safer *not* to have it on the PATH,
echo  to make it harder to inadvertently pick up an obsolete or corrupt copy
echo  of a Crysfire component.  Similarly, it's recommended that all executables
echo  (.EXE programs and .BAT scripts) from previous Crysfire distributions
echo  should be deleted from your hard disk.  This doesn't of course apply to
echo  your own crystallographic data and output files, which will remain valid
echo.
:endbat
